API & SDKsREST APIUnits

Create unit

POST/v2/units
AuthorizationBearer <token>

API key for authentication. Use format: Bearer YOUR_API_KEY

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/units" \  -H "Content-Type: application/json" \  -d '{    "serial_number": "SN-001234",    "part_number": "PCB-V1.2",    "revision_number": "REV-1.0"  }'
{
  "id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "message": "Unauthorized",
  "code": "UNAUTHORIZED",
  "issues": []
}
{
  "message": "Not found",
  "code": "NOT_FOUND",
  "issues": []
}
{
  "message": "Conflict",
  "code": "CONFLICT",
  "issues": []
}
{
  "message": "Internal server error",
  "code": "INTERNAL_SERVER_ERROR",
  "issues": []
}

How is this guide?